Bug 33704 - Allow umlauts as UCR policy values
Allow umlauts as UCR policy values
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Policies
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-0-errata
Assigned To: Dirk Wiesenthal
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-10 12:20 CET by Janis Meybohm
Modified: 2014-01-29 11:19 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Internationalization
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janis Meybohm univentionstaff 2013-12-10 12:20:35 CET
Currently values of UCR policies may not contain umlauts:

# udm policies/registry create --set name="foobar" --set registry='fooo bär'
LDAP Error: Invalid syntax: univentionRegistry;entry-hex-666f6f6f: value #0 invalid per syntax
Comment 1 Dirk Wiesenthal univentionstaff 2014-01-07 17:03:09 CET
Fixed in
  univention-ldap 10.0.17-11.653.201401071700

YAML updated
Comment 2 Florian Best univentionstaff 2014-01-13 12:30:44 CET
fix works, syntax was changed to:
1.3.6.1.4.1.1466.115.121.1.15 - Directory String syntax

YAML: OK
Comment 3 Moritz Muehlenhoff univentionstaff 2014-01-29 11:19:12 CET
http://errata.univention.de/ucs/3.2/37.html